import { ReactNode } from "react";
interface Props {
    children: ReactNode;
    variant?: "primary" | "secondary" | "plain";
    size?: "sm" | "md" | "lg" | "xl" | "2xl";
    fullWidth?: boolean;
    className?: string;
    disabled?: boolean;
    iconLeft?: ReactNode;
    iconRight?: ReactNode;
    onClick?: (...args: unknown[]) => unknown;
}
declare const Button: ({ children, className, variant, size, fullWidth, disabled, onClick, iconLeft, iconRight, }: Props) => JSX.Element;
export { Button };
