import { ContactSensorProduct, MotionSensorProduct, OutdoorSirenProduct, RangeExtenderProduct, React } from '../src/Svg/index';
import { Container } from '../src/Container';

export const ProductSection = () => {
  return <>
      <div className="mb-8">
          <h2 className="mb-4">Product</h2>
          <Container size="sm">
              <div className="row text-lg-start">
                  <div className="col col-sm-auto">
                      <MotionSensorProduct />
                  </div>
                  <div className="col col-sm-auto">
                      <ContactSensorProduct />
                  </div>
                  <div className="col col-sm-auto">
                      <OutdoorSirenProduct />
                  </div>
                  <div className="col col-sm-auto">
                      <RangeExtenderProduct />
                  </div>
              </div>
          </Container>
      </div>
  </>;
}