import { ReactNode } from "react";

interface Props {
  children: ReactNode;
  size: "sm" | "md" | "lg" | "xl" | "xxl" | "fluid";
}

const Container = ({ children, size = "fluid" }: Props) => {
  return <div className={`container-${size}`}>{children}</div>;
};

export { Container };
