import * as React from "react";
import { SVGProps } from "react";
const SvgPlaceholder = (props: SVGProps<SVGSVGElement>) => (
  <svg
    width={20}
    height={20}
    fill="none"
    xmlns="http://www.w3.org/2000/svg"
    {...props}
  >
    <path
      fillRule="evenodd"
      clipRule="evenodd"
      d="M15 2h2a1 1 0 0 1 1 1v2h2V3a3 3 0 0 0-3-3h-2v2Zm-2 0V0H7v2h6ZM5 2V0H3a3 3 0 0 0-3 3v2h2V3a1 1 0 0 1 1-1h2ZM2 7H0v6h2V7Zm0 8H0v2a3 3 0 0 0 3 3h2v-2H3a1 1 0 0 1-1-1v-2Zm5 3v2h6v-2H7Zm8 0v2h2a3 3 0 0 0 3-3v-2h-2v2a1 1 0 0 1-1 1h-2Zm3-5h2V7h-2v6Z"
      fill="currentColor"
    />
  </svg>
);
export default SvgPlaceholder;
