import { ReactNode } from "react";

interface Props {
  children: ReactNode;
  size: "xs" | "sm" | "md" | "lg" | "xl" | "xxl";
}

const Wrapper = ({ children, size = "xxl" }: Props) => {
  return <div className={`wrapper wrapper-${size}`}>{children}</div>;
};

export { Wrapper };
